Bug 834715 - yum ps plugin shows unknown an process
yum ps plugin shows unknown an process
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 17:11 EDT by darwinian.empire
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 15:47:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darwinian.empire 2012-06-22 17:11:26 EDT
Description of problem:
When executing 'sudo yum ps', a line that contains:

19887 <Unknown>            0:00      0 B    Unknown: *15513 day(s) 20:56:35

appears once for every package. The system uptime is 13 hours and no package has been updated in that time. There's no running process that owns this PID.

Version-Release number of selected component (if applicable):
anaconda-yum-plugins-1.0-7.fc17.noarch
PackageKit-yum-0.7.4-4.fc17.i686
yum-plugin-ps-1.1.31-4.fc17.noarch
PackageKit-yum-plugin-0.7.4-4.fc17.i686
yum-3.4.3-26.fc17.noarch
yum-NetworkManager-dispatcher-1.1.31-4.fc17.noarch
yum-plugin-show-leaves-1.1.31-4.fc17.noarch
yum-langpacks-0.2.4-3.fc17.noarch
yum-metadata-parser-1.1.4-6.fc17.i686
yum-presto-0.7.3-1.fc17.noarch
yum-plugin-fastestmirror-1.1.31-4.fc17.noarch
yum-utils-1.1.31-4.fc17.noarch


How reproducible:
Unknown. It may be solved with a system reboot.
  
Expected results:
The unknown process should not be displayed

Additional info:
Recent lines from yum.log:

Jun 22 10:45:18 Installed: kernel-devel-3.4.3-1.fc17.i686
Jun 22 10:45:21 Updated: kernel-headers-3.4.3-1.fc17.i686
Jun 22 10:45:24 Updated: systemd-44-14.fc17.i686
Jun 22 10:45:25 Updated: systemd-sysv-44-14.fc17.i686
Jun 22 10:45:34 Installed: kernel-3.4.3-1.fc17.i686
Jun 22 10:45:36 Updated: ffmpeg-libs-0.10.4-1.fc17.i686
Jun 22 10:47:18 Updated: VirtualBox-4.1-4.1.18_78361_fedora17-1.i686

This system was rebooted after this update.
Comment 1 Zdeněk Pavlas 2012-06-25 10:41:24 EDT
Hi, could you run "ps -F -p 19887" when this happens again?  This might be related to bug 745281 (get_process_info failed).  yum-3.4.3-28.fc17 should show more information in such case.
Comment 2 darwinian.empire 2012-06-25 13:45:21 EDT
I had to reboot the computer, but this bug still seems to happen. The unknown process ID is now 11999. Running:

$ ps -F -p 11999                                                                                    
UID        PID  PPID  C    SZ   RSS PSR STIME TTY          TIME CMD

Exit code: 1
Comment 3 darwinian.empire 2012-06-25 13:57:04 EDT
Update: I tired to launch Python (as a regular user) and do:

import yum.misc as misc
misc.return_running_pids()

Doing so returned a list which did not contain the ID of the unknown process. Afterwards I tried to launch 'sudo yum ps' again, but no process was displayed this time. I'll update as soon as the bug happens again.
Comment 4 James Antill 2013-05-21 15:47:01 EDT
I'd guess at weird kernel problem, but who knows.

Note You need to log in before you can comment on or make changes to this bug.